Subject: Re: [patch net-next] net: devlink: expose the info about version representing a component

From: Jakub Kicinski <[email-masked]>
Date: Mon, 7 Nov 2022 08:52:18 -0800

On Sat, 5 Nov 2022 10:26:33 +0100 Jiri Pirko wrote:
>> Didn't I complain that this makes no practical sense because
>> user needs to know what file to flash, to which component?
>> Or was that a different flag that I was complaining about?  
> 
> Different. That was about exposing a default component.

Oh, my bad. But I think the same justification applies here.
Overloading the API with information with no clear use seems
counter-productive to me.